This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 873454 (mate-image-viewer)

Summary: Review Request: mate-image-viewer - Eye of MATE image viewer
Product: [Fedora] Fedora Reporter: leigh scott <leigh123linux>
Component: Package ReviewAssignee: Dan Mashal <dan.mashal>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review
Target Milestone: ---Flags: dan.mashal: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-10 08:48:02 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 840149    
Bug Blocks:    

Description leigh scott 2012-11-05 16:49:07 EST
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/mate-image-viewer/mate-image-viewer.spec

SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/mate-image-viewer/mate-image-viewer-1.5.0-1.fc19.src.rpm

Description: This is the Eye of MATE, an image viewer program.  It is meant to be
a fast and functional image viewer.

Eye of MATE is a fork of Eye of GNOME.


Fedora Account System Username: leigh123linux
Comment 2 Dan Mashal 2012-11-06 02:25:38 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     devel
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later) (with incorrect FSF address)", "LGPL
     (v2 or later)", "GPL (v2 or later)", "Unknown or generated", "LGPL (v2 or
     later) (with incorrect FSF address)", "GPL (v2 or later) (with incorrect
     FSF address)". 6 files have unknown license. Detailed output of
     licensecheck in /home/dan/873454-mate-image-viewer/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 143360 bytes in 4 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 5140480 bytes in /usr/share 5140480
     mate-image-viewer-1.4.0-1.fc18.x86_64.rpm


Rpmlint
-------
Checking: mate-image-viewer-1.4.0-1.fc18.src.rpm
          mate-image-viewer-devel-1.4.0-1.fc18.x86_64.rpm
          mate-image-viewer-1.4.0-1.fc18.x86_64.rpm
          mate-image-viewer-debuginfo-1.4.0-1.fc18.x86_64.rpm
mate-image-viewer-devel.x86_64: W: spelling-error %description -l en_US eog -> ego, wog, geog
mate-image-viewer-devel.x86_64: W: no-documentation
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-exif-details.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-error-message-area.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-statusbar.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-file-chooser.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-properties-dialog.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-jobs.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-thumbnail.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-window.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-exif-util.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-application.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-image.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-thumb-view.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-thumb-nav.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-enums.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-debug.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-sidebar.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-dialog.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-list-store.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-plugin.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-job-queue.h
mate-image-viewer.x86_64: W: incoherent-version-in-changelog 1.5.0-1 ['1.4.0-1.fc18', '1.4.0-1']
mate-image-viewer.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/eom.schemas
mate-image-viewer.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-image-viewer-1.4.0/COPYING
mate-image-viewer.x86_64: W: no-manual-page-for-binary eom
mate-image-viewer.x86_64: W: dangerous-command-in-%pre rm
mate-image-viewer.x86_64: W: dangerous-command-in-%post rm
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-metadata-reader.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-metadata-reader.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-plugin-engine.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/jpegutils/transupp-6b.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/jpegutils/transupp-6b.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-properties-dialog.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-properties-dialog.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-print.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-module.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-python-module.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-module.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-print.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-statusbar.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-plugin-manager.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-plugin-manager.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/main.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-metadata-reader-png.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-python-module.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-metadata-reader-png.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-preferences-dialog.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-session.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/zoom.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-statusbar.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-jobs.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-jobs.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-dialog.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-list-store.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-list-store.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/zoom.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-window.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-plugin.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-thumb-nav.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/cut-n-paste/toolbar-editor/egg-toolbars-model.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-plugin.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-thumb-nav.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-file-chooser.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/cut-n-paste/toolbar-editor/egg-toolbars-model.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-util.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-thumbnail.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-window.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-enums.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-thumb-view.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-thumb-view.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-error-message-area.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-error-message-area.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-session.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-metadata-reader-jpg.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-image-private.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-exif-details.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-exif-details.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-plugin-engine.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-sidebar.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-sidebar.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-util.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-file-chooser.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-debug.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-exif-util.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-application.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-dialog.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-metadata-reader-jpg.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-application.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-exif-util.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-debug.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-image.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/cut-n-paste/toolbar-editor/egg-toolbar-editor.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/cut-n-paste/toolbar-editor/egg-toolbar-editor.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-image.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-job-queue.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-job-queue.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-print-preview.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-print-preview.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-thumbnail.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-close-confirmation-dialog.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-close-confirmation-dialog.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-python-plugin.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-preferences-dialog.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/plugins/statusbar-date/eom-statusbar-date-plugin.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-print-image-setup.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/cut-n-paste/toolbar-editor/egg-editable-toolbar.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/plugins/statusbar-date/eom-statusbar-date-plugin.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-python-plugin.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/cut-n-paste/toolbar-editor/egg-editable-toolbar.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-print-image-setup.c
4 packages and 0 specfiles checked; 104 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-image-viewer-devel mate-image-viewer-debuginfo  
mate-image-viewer
mate-image-viewer-devel.x86_64: W: spelling-error %description -l en_US eog -> ego, wog, geog
mate-image-viewer-devel.x86_64: W: no-documentation
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-exif-details.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-error-message-area.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-statusbar.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-file-chooser.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-properties-dialog.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-jobs.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-thumbnail.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-window.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-exif-util.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-application.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-image.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-thumb-view.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-thumb-nav.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-enums.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-debug.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-sidebar.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-dialog.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-list-store.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-plugin.h
mate-image-viewer-devel.x86_64: E: incorrect-fsf-address /usr/include/eom-2.20/eom/eom-job-queue.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-metadata-reader.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-metadata-reader.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-plugin-engine.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/jpegutils/transupp-6b.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/jpegutils/transupp-6b.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-properties-dialog.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-properties-dialog.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-print.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-module.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-python-module.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-module.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-print.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-statusbar.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-plugin-manager.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-plugin-manager.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/main.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-metadata-reader-png.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-python-module.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-metadata-reader-png.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-preferences-dialog.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-session.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/zoom.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-statusbar.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-jobs.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-jobs.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-dialog.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-list-store.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-list-store.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/zoom.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-window.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-plugin.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-thumb-nav.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/cut-n-paste/toolbar-editor/egg-toolbars-model.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-plugin.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-thumb-nav.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-file-chooser.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/cut-n-paste/toolbar-editor/egg-toolbars-model.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-util.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-thumbnail.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-window.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-enums.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-thumb-view.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-thumb-view.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-error-message-area.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-error-message-area.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-session.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-metadata-reader-jpg.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-image-private.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-exif-details.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-exif-details.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-plugin-engine.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-sidebar.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-sidebar.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-util.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-file-chooser.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-debug.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-exif-util.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-application.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-dialog.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-metadata-reader-jpg.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-application.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-exif-util.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-debug.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-image.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/cut-n-paste/toolbar-editor/egg-toolbar-editor.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/cut-n-paste/toolbar-editor/egg-toolbar-editor.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-image.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-job-queue.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-job-queue.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-print-preview.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-print-preview.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-thumbnail.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-close-confirmation-dialog.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-close-confirmation-dialog.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-python-plugin.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-preferences-dialog.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/plugins/statusbar-date/eom-statusbar-date-plugin.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-print-image-setup.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/cut-n-paste/toolbar-editor/egg-editable-toolbar.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/plugins/statusbar-date/eom-statusbar-date-plugin.c
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-python-plugin.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/cut-n-paste/toolbar-editor/egg-editable-toolbar.h
mate-image-viewer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-image-viewer-1.4.0/src/eom-print-image-setup.c
mate-image-viewer.x86_64: W: incoherent-version-in-changelog 1.5.0-1 ['1.4.0-1.fc18', '1.4.0-1']
mate-image-viewer.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/eom.schemas
mate-image-viewer.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-image-viewer-1.4.0/COPYING
mate-image-viewer.x86_64: W: no-manual-page-for-binary eom
mate-image-viewer.x86_64: W: dangerous-command-in-%pre rm
mate-image-viewer.x86_64: W: dangerous-command-in-%post rm
3 packages and 0 specfiles checked; 104 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-image-viewer-devel-1.4.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config
    mate-image-viewer(x86-64) = 1.4.0-1.fc18
    pkgconfig(gtk+-2.0)
    pkgconfig(mateconf-2.0)

mate-image-viewer-1.4.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libX11.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libexempi.so.3()(64bit)
    libexif.so.12()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    liblcms.so.1()(64bit)
    libm.so.6()(64bit)
    libmate-desktop-2.so.17()(64bit)
    libmateconf-2.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    librsvg-2.so.2()(64bit)
    librt.so.1()(64bit)
    libstartup-notification-1.so.0()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libz.so.1()(64bit)
    mate-conf
    rtld(GNU_HASH)

mate-image-viewer-debuginfo-1.4.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
mate-image-viewer-devel-1.4.0-1.fc18.x86_64.rpm:
    
    mate-image-viewer-devel = 1.4.0-1.fc18
    mate-image-viewer-devel(x86-64) = 1.4.0-1.fc18
    pkgconfig(eom) = 1.4.0

mate-image-viewer-1.4.0-1.fc18.x86_64.rpm:
    
    libfullscreen.so()(64bit)
    libreload.so()(64bit)
    libstatusbar-date.so()(64bit)
    mate-image-viewer = 1.4.0-1.fc18
    mate-image-viewer(x86-64) = 1.4.0-1.fc18
    mimehandler(image/bmp)
    mimehandler(image/gif)
    mimehandler(image/jpeg)
    mimehandler(image/jpg)
    mimehandler(image/pjpeg)
    mimehandler(image/png)
    mimehandler(image/svg+xml)
    mimehandler(image/svg+xml-compressed)
    mimehandler(image/tiff)
    mimehandler(image/vnd.wap.wbmp)
    mimehandler(image/x-bmp)
    mimehandler(image/x-gray)
    mimehandler(image/x-icb)
    mimehandler(image/x-ico)
    mimehandler(image/x-pcx)
    mimehandler(image/x-png)
    mimehandler(image/x-portable-anymap)
    mimehandler(image/x-portable-bitmap)
    mimehandler(image/x-portable-graymap)
    mimehandler(image/x-portable-pixmap)
    mimehandler(image/x-xbitmap)
    mimehandler(image/x-xpixmap)

mate-image-viewer-debuginfo-1.4.0-1.fc18.x86_64.rpm:
    
    mate-image-viewer-debuginfo = 1.4.0-1.fc18
    mate-image-viewer-debuginfo(x86-64) = 1.4.0-1.fc18



Unversioned so-files
--------------------
mate-image-viewer-1.4.0-1.fc18.x86_64.rpm: /usr/lib64/eom/plugins/libfullscreen.so
mate-image-viewer-1.4.0-1.fc18.x86_64.rpm: /usr/lib64/eom/plugins/libreload.so
mate-image-viewer-1.4.0-1.fc18.x86_64.rpm: /usr/lib64/eom/plugins/libstatusbar-date.so

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.4/mate-image-viewer-1.4.0.tar.xz :
  CHECKSUM(SHA256) this package     : 41d1df54b55e5e6efc0c98bb4e29fc7294b85cdef38ffbd2c7514f3556929c1f
  CHECKSUM(SHA256) upstream package : 41d1df54b55e5e6efc0c98bb4e29fc7294b85cdef38ffbd2c7514f3556929c1f
Comment 3 Dan Mashal 2012-11-06 02:30:20 EST
Let's go back to 1.5 ;)
Comment 5 Dan Mashal 2012-11-06 04:59:11 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     devel
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later)", "GPL (v2 or later)", "LGPL (v2 or
     later)", "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in /home/dan/873454-mate-image-
     viewer/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (schema.patch)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 5038080 bytes in /usr/share 5038080
     mate-image-viewer-1.5.0-1.fc19.x86_64.rpm


Rpmlint
-------
Checking: mate-image-viewer-1.5.0-1.fc19.src.rpm
          mate-image-viewer-1.5.0-1.fc19.x86_64.rpm
          mate-image-viewer-debuginfo-1.5.0-1.fc19.x86_64.rpm
          mate-image-viewer-devel-1.5.0-1.fc19.x86_64.rpm
mate-image-viewer.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-image-viewer-1.5.0/COPYING
mate-image-viewer.x86_64: W: no-manual-page-for-binary eom
mate-image-viewer-devel.x86_64: W: spelling-error %description -l en_US eog -> ego, wog, geog
mate-image-viewer-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-image-viewer-devel mate-image-viewer-debuginfo  
mate-image-viewer
mate-image-viewer-devel.x86_64: W: spelling-error %description -l en_US eog -> ego, wog, geog
mate-image-viewer-devel.x86_64: W: no-documentation
mate-image-viewer.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-image-viewer-1.5.0/COPYING
mate-image-viewer.x86_64: W: no-manual-page-for-binary eom
3 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-image-viewer-1.5.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    gsettings-desktop-schemas
    libX11.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libexempi.so.3()(64bit)
    libexif.so.12()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libjpeg.so.8()(64bit)
    libjpeg.so.8(LIBJPEG_8.0)(64bit)
    liblcms.so.1()(64bit)
    libm.so.6()(64bit)
    libmate-desktop-2.so.17()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    librsvg-2.so.2()(64bit)
    librt.so.1()(64bit)
    libstartup-notification-1.so.0()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

mate-image-viewer-debuginfo-1.5.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

mate-image-viewer-devel-1.5.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config
    mate-image-viewer(x86-64) = 1.5.0-1.fc19
    pkgconfig(gio-2.0)
    pkgconfig(gtk+-2.0)



Provides
--------
mate-image-viewer-1.5.0-1.fc19.x86_64.rpm:
    
    libfullscreen.so()(64bit)
    libreload.so()(64bit)
    libstatusbar-date.so()(64bit)
    mate-image-viewer = 1.5.0-1.fc19
    mate-image-viewer(x86-64) = 1.5.0-1.fc19
    mimehandler(image/bmp)
    mimehandler(image/gif)
    mimehandler(image/jpeg)
    mimehandler(image/jpg)
    mimehandler(image/pjpeg)
    mimehandler(image/png)
    mimehandler(image/svg+xml)
    mimehandler(image/svg+xml-compressed)
    mimehandler(image/tiff)
    mimehandler(image/vnd.wap.wbmp)
    mimehandler(image/x-bmp)
    mimehandler(image/x-gray)
    mimehandler(image/x-icb)
    mimehandler(image/x-ico)
    mimehandler(image/x-pcx)
    mimehandler(image/x-png)
    mimehandler(image/x-portable-anymap)
    mimehandler(image/x-portable-bitmap)
    mimehandler(image/x-portable-graymap)
    mimehandler(image/x-portable-pixmap)
    mimehandler(image/x-xbitmap)
    mimehandler(image/x-xpixmap)

mate-image-viewer-debuginfo-1.5.0-1.fc19.x86_64.rpm:
    
    mate-image-viewer-debuginfo = 1.5.0-1.fc19
    mate-image-viewer-debuginfo(x86-64) = 1.5.0-1.fc19

mate-image-viewer-devel-1.5.0-1.fc19.x86_64.rpm:
    
    mate-image-viewer-devel = 1.5.0-1.fc19
    mate-image-viewer-devel(x86-64) = 1.5.0-1.fc19
    pkgconfig(eom) = 1.5.0



Unversioned so-files
--------------------
mate-image-viewer-1.5.0-1.fc19.x86_64.rpm: /usr/lib64/eom/plugins/libfullscreen.so
mate-image-viewer-1.5.0-1.fc19.x86_64.rpm: /usr/lib64/eom/plugins/libreload.so
mate-image-viewer-1.5.0-1.fc19.x86_64.rpm: /usr/lib64/eom/plugins/libstatusbar-date.so

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.5/mate-image-viewer-1.5.0.tar.xz :
  CHECKSUM(SHA256) this package     : 255d23c43e74ea2a55b50af3ceee6089dcbb6b38271234a8ff73d065b4033769
  CHECKSUM(SHA256) upstream package : 255d23c43e74ea2a55b50af3ceee6089dcbb6b38271234a8ff73d065b4033769


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 873454
Comment 6 leigh scott 2012-11-06 05:01:39 EST
New Package SCM Request
=======================
Package Name: mate-image-viewer
Short Description: Eye of MATE image viewer
Owners: leigh123linux rdieter vicodan
Branches: f16 f17 f18 
InitialCC::
Comment 7 Dan Mashal 2012-11-06 05:02:38 EST
APPROVED.

Please remove intltool from BR. mate-common provides it.

Please address the following before import:

[!]: SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (schema.patch)
Comment 8 Dan Mashal 2012-11-06 05:03:40 EST
Builds fine on F18 with mate-desktop-1.5.3-3 in BR overrite and fc19 rawhide.

Will worry about f17 and f16 later (probably use version 1.4).
Comment 9 Jon Ciesla 2012-11-06 07:38:43 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-11-08 03:02:29 EST
mate-image-viewer-1.5.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-image-viewer-1.5.0-2.fc18
Comment 11 Fedora Update System 2012-11-08 03:49:11 EST
mate-image-viewer-1.4.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-image-viewer-1.4.0-1.fc17
Comment 12 Fedora Update System 2012-11-08 03:49:22 EST
mate-image-viewer-1.5.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-image-viewer-1.5.0-2.fc18
Comment 13 Fedora Update System 2012-11-09 12:58:02 EST
mate-image-viewer-1.4.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 14 Fedora Update System 2012-11-19 22:10:50 EST
mate-image-viewer-1.4.0-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 15 Fedora Update System 2012-11-23 03:02:59 EST
mate-panel-1.5.1-1.fc18, mate-image-viewer-1.5.0-2.fc18, libmatewnck-1.5.0-1.fc18, libmatenotify-1.5.0-1.fc18, libmateweather-1.5.0-1.fc18, libmatekbd-1.5.0-1.fc18, libmatekeyring-1.5.0-1.fc18, mate-icon-theme-1.5.0-1.fc18, mate-dialogs-1.5.0-2.fc18, mate-doc-utils-1.5.0-1.fc18, mate-menus-1.5.0-1.fc18, mate-media-1.5.0-1.fc18, mate-system-monitor-1.5.0-1.fc18, mate-keyring-1.5.0-2.fc18, mate-settings-daemon-1.5.3-1.fc18, mate-control-center-1.5.0-2.fc18, mate-notification-daemon-1.5.0-1.fc18, mate-session-manager-1.5.0-1.fc18, mate-themes-1.5.0-1.fc18, mate-utils-1.4.0-4.fc18, mate-screensaver-1.5.0-3.fc18, mate-window-manager-1.5.2-7.fc18, mate-desktop-1.5.3-4.fc18, mate-power-manager-1.5.0-2.fc18, mate-file-manager-1.5.0-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.